aboutsummaryrefslogtreecommitdiff
path: root/rdtm
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-10-13 11:28:42 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-10-13 11:28:42 +1300
commit0417c448fce3bd98522b66f89b4b5219aaf40758 (patch)
tree17f71c881beaaba9dfd5601cae602fce8e78fbdc /rdtm
downloadrdt-0417c448fce3bd98522b66f89b4b5219aaf40758.tar.gz
rdt-0417c448fce3bd98522b66f89b4b5219aaf40758.zip
First commitHEADmaster
Diffstat (limited to 'rdtm')
-rwxr-xr-xrdtm8
1 files changed, 8 insertions, 0 deletions
diff --git a/rdtm b/rdtm
new file mode 100755
index 0000000..e3aa08e
--- /dev/null
+++ b/rdtm
@@ -0,0 +1,8 @@
+#!/bin/sh
+[ "$#" -gt 0 ] || exit 2
+for sr ; do
+ printf '/r/%s:\n\n' "$sr"
+ rdt "$sr" | sed 's/^/ /' || ex=1
+ printf '\n'
+done
+ex=${ex:-0}